> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet NFT Holder Status

> This endpoint checks whether a wallet address holds a specific NFT or if a wallet address holds any NFT from a given collection. 
 
 If tokenId is entered, the endpoint will check if the wallet address holds that exact NFT. While if tokenId is omitted, the endpoint will check if the wallet address holds any NFT from the entered collection.



## OpenAPI

````yaml /reference/api-json.json get /nft/is-nft-holder
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/is-nft-holder:
    get:
      tags:
        - NFT
      summary: Get Wallet NFT Holder Status
      description: >-
        This endpoint checks whether a wallet address holds a specific NFT or if
        a wallet address holds any NFT from a given collection. 
         
         If tokenId is entered, the endpoint will check if the wallet address holds that exact NFT. While if tokenId is omitted, the endpoint will check if the wallet address holds any NFT from the entered collection.
      operationId: WalletNFTHolder
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 1088
              - 1101
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11235
              - 11297108099
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1313161554
              - 1329
              - 137
              - 14
              - 1666600000
              - 167000
              - 167009
              - 168587773
              - 1868
              - 1946
              - 2020
              - 2442
              - 248
              - 25
              - 250
              - 2741
              - 288
              - 30
              - 300
              - 31
              - 321
              - 322
              - 324
              - 32769
              - 33101
              - 33111
              - 33139
              - 360
              - 37111
              - 4002
              - 4202
              - 42161
              - 421614
              - 42170
              - 42220
              - 42261
              - 42262
              - 43113
              - 43114
              - 480
              - 4801
              - 50
              - 5000
              - 51
              - 534351
              - 534352
              - 5371
              - 5373
              - 54211
              - 56
              - 59141
              - 59144
              - 61
              - 7000
              - 7001
              - 7332
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 9001
              - 97
              - 999999999
              - solana
              - solana-devnet
              - stellar
              - stellar-testnet
              - toncoin
            type: string
        - name: contractAddress
          required: true
          in: query
          description: The address of the NFT collection to query.
          schema:
            default: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
            example: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
            type: string
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x46efbaedc92067e6d60e84ed6395099723252496'
            example: '0x46efbaedc92067e6d60e84ed6395099723252496'
            type: string
        - name: tokenId
          required: false
          in: query
          description: >-
            The ID of the token. This parameter is supported by Tatum and
            Covalent (When entered, the endpoint will check if the wallet
            address holds the specific NFT ID specified.)
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - GoldRush
              - Tatum
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletNFTHolderResponse'
components:
  schemas:
    WalletNFTHolderResponse:
      type: object
      properties:
        isHolderOfContract:
          type: boolean
          description: Wallet owns any token in given NFT contract.
          example: false
      required:
        - isHolderOfContract
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````